Get a Report Distribution
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| reportDistributionId | Id of the report distribution to get | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ReportDistributionDetailsResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| baseReport | ReportChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdByUser | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the report distribution was created | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| emailSettings | ReportDistributionEmailSettings | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportDistributionEmailSettings properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| enabled | Indicates if the report distribution is currently enabled | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastRunDate | Last time the report distribution was run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedByUser | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nextRunDate | Next time the report distribution will run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportDistributionId | The id of the report distribution | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportDistributionName | The name of the report distribution | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportId | The id of the report being distributed | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "baseReport": { "description": "string", "exportFormats": [
{ "exportFormatInfo": "string", "preferred": false
}
], "isLandscape": false, "lastUpdated": "2026-03-30", "reportCode": "string", "reportId": 1, "reportInfo": "string", "reportSource": "string", "reportType": { "reportTypeCode": "string", "reportTypeId": 1, "reportTypeInfo": "string"
}, "tags": [
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": []
}
], "version": "string"
}, "createdByUser": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "emailSettings": { "dayIndicator": { "dayIndicatorInfo": "string", "dayIndicatorValue": 1
}, "emailMessage": "string", "emailSubject": "string", "onlySendIfData": false, "recipientUserGroups": [
{ "userGroupId": 1, "userGroupName": "string"
}
], "replyToEmail": "string", "reportFormat": "string", "scheduleType": { "reportSubscriptionScheduleTypeId": 1, "reportSubscriptionScheduleTypeName": "string"
}
}, "enabled": false, "lastRunDate": "2026-03-30", "modifiedByUser": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "nextRunDate": "2026-03-30", "reportDistributionId": 1, "reportDistributionName": "string", "specificReportId": 1
}